Support "x-*" language codes by removing length limit
Status: New Start date: 2008-06-05

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Forcing language codes to be <= 5 characters does not allow for "x-*" codes, which can be arbitrarily long:

"The most widely used standard for identifying languages in Internet documents (such as in HTTP headers or HTML metadata

or in the XML lang attribute) is RFC 4646 (formerly RFC 3066). In that standard, a three-letter identifier is interpreted as being a

code from the ISO 639-2 standard. RFC 4646 offers an extension mechanism of tags beginning with x- to handle custom codes

for languages not covered in the standard." (Source: http://www.ethnologue.com/codes/)

 There are also "i-*" codes for grandfathered codes. See also the w3c HTML4 spec for the lang attribute and RFC 17666.

History

#1 - 2009-09-20 11:54 - Jean-Philippe Lang

- Priority changed from Normal to Low

#2 - 2012-01-04 17:44 - Etienne Massip

- Category set to I18n

#3 - 2024-02-01 02:03 - Go MAEDA

I think we should make this change only when it is really necessary to deal with language codes beginning with "x-“ or “i-".
